
local function CQLogMsg(...)
	print(...)
end

function n_require(moduleName, path)
    if not package.loaded[moduleName] then
		local arg1, arg2 = c_require(path)

		-- module无返回值时，arg1为nil，取arg2
		package.loaded[moduleName] = arg1 or arg2
	end

    return package.loaded[moduleName]
end

function ui_require(moduleName)
	--return require(moduleName)
	return n_require(moduleName, "ini/luaui/" .. moduleName)
end

function ui_dialog_require(moduleName)
	--return require(moduleName)
	return n_require(moduleName, "ini/luaui/dialog/" .. moduleName)
end

function ini_require(moduleName)
	local ret = n_require(moduleName, moduleName)

	if not ret then
		return false
	end

    return true
end